## pytorch-ignite 0.4.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = ignite
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

docset: html
	doc2dash --name $(SPHINXPROJ) --icon $(SOURCEDIR)/_static/img/pytorch-logo-flame.png --enable-js --online-redirect-url http://pytorch.org/ignite/ --force $(BUILDDIR)/html/

	# Manually fix because Zeal doesn't deal well with `icon.png`-only at 2x resolution.
	cp $(SPHINXPROJ).docset/icon.png $(SPHINXPROJ).docset/icon@2x.png
	convert $(SPHINXPROJ).docset/icon@2x.png -resize 16x16 $(SPHINXPROJ).docset/icon.png

.PHONY: help Makefile docset

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx==3.2.1
-e git+https://github.com/pytorch/pytorch_sphinx_theme.git#egg=pytorch_sphinx_theme
sphinxcontrib-katex

=== examples/references/classification/imagenet/requirements.txt ===
albumentations
image-dataset-viz
numpy
opencv-python
py_config_runner
pytorch-ignite
pillow
tensorboard
torch
torchvision
tqdm

=== examples/references/classification/imagenet/experiments/clearml/requirements.txt ===
clearml

=== debian/changelog ===
pytorch-ignite (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * Add one more test dependency skimage.

 -- Mo Zhou <lumin@debian.org>  Tue, 23 Feb 2021 18:16:38 +0800

pytorch-ignite (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Specify X-Python3-Version: 3.9 .
  * Specify PYBUILD_NAME in d/rules.
  * Apply wrap-and-sort.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Thu, 26 Nov 2020 14:43:16 +0800

pytorch-ignite (0.4.1-1) experimental; urgency=medium

  * Initial release. (Closes: #958893)

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Aug 2020 12:58:45 +0800

=== debian/control ===
Source: pytorch-ignite
Section: science
Homepage: https://github.com/pytorch/ignite
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-ignite.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-ignite
Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-dill <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sklearn <!nocheck>,
               python3-skimage <!nocheck>,
               python3-torch
X-Python3-Version: 3.9

Package: python3-torch-ignite
Architecture: all
Depends: python3-torch, ${misc:Depends}, ${python3:Depends}
Description: High-level library to help with training and evaluating in PyTorch
 Ignite is a high-level library to help with training and evaluating neural
 networks in PyTorch flexibly and transparently.
 .
 Features
 .
  * Less code than pure PyTorch while ensuring maximum control and simplicity
  * Library approach and no program's control inversion
  * Extensible API for metrics, experiment managers, and other components

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = ignite

%:
	dh $@ -Spybuild --with python3

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pytorch-ignite-$1.tar.gz%" \
https://github.com/pytorch/ignite/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pytorch-ignite 0.4.12

=== docs/requirements.txt ===
sphinx==5.0.0
-e git+https://github.com/pytorch/pytorch_sphinx_theme.git#egg=pytorch_sphinx_theme
sphinxcontrib-katex
sphinx-copybutton==0.4.0
docutils<0.18
sphinx_togglebutton
sphinx_design

=== debian/changelog ===
pytorch-ignite (0.4.12-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:16:06 +0100

pytorch-ignite (0.4.12-1) unstable; urgency=medium

  * New upstream version 0.4.12
  * Bump X-Python3-Version to 3.11. (Closes: #1035366)

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Sep 2023 21:18:54 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-sklearn <!nocheck>,
                python3-skimage <!nocheck>,
                python3-torch
-X-Python3-Version: 3.9
+X-Python3-Version: 3.11
 
 Package: python3-torch-ignite
 Architecture: all

## pytorch-ignite 0.5.1

=== docs/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -j auto -WT --keep-going --color
 SPHINXBUILD   = sphinx-build
 SPHINXPROJ    = ignite
 SOURCEDIR     = source
@@ -13,11 +13,21 @@
 	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
 
 docset: html
-	doc2dash --name $(SPHINXPROJ) --icon $(SOURCEDIR)/_static/img/pytorch-logo-flame.png --enable-js --online-redirect-url http://pytorch.org/ignite/ --force $(BUILDDIR)/html/
+	doc2dash --name $(SPHINXPROJ) --icon $(SOURCEDIR)/_static/img/pytorch-logo-flame.png --enable-js --online-redirect-url https://pytorch.org/ignite/ --force $(BUILDDIR)/html/
 
 	# Manually fix because Zeal doesn't deal well with `icon.png`-only at 2x resolution.
 	cp $(SPHINXPROJ).docset/icon.png $(SPHINXPROJ).docset/icon@2x.png
 	convert $(SPHINXPROJ).docset/icon@2x.png -resize 16x16 $(SPHINXPROJ).docset/icon.png
+
+rebuild:
+	rm -rf source/generated && make clean && make html
+
+clean:
+	@echo "Cleaning up..."
+	python -c "import shutil; shutil.rmtree('$(BUILDDIR)', ignore_errors=True)"
+	python -c "import shutil; shutil.rmtree('$(SOURCEDIR)/generated', ignore_errors=True)"
+	python -c "import os; [os.remove(f) for f in os.listdir('.') if f.endswith('.pyc')]"
+	python -c "import shutil; import os; [shutil.rmtree(f) for f in os.listdir('.') if f == '__pycache__' and os.path.isdir(f)]"
 
 .PHONY: help Makefile docset

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-sphinx==5.0.0
+sphinx<6
 -e git+https://github.com/pytorch/pytorch_sphinx_theme.git#egg=pytorch_sphinx_theme
 sphinxcontrib-katex
 sphinx-copybutton==0.4.0

=== examples/cifar10/requirements.txt ===
pytorch-ignite
torchvision
tqdm
tensorboardX
fire
clearml

=== examples/siamese_network/requirements.txt ===
torch
torchvision
pytorch-ignite

=== examples/transformers/requirements.txt ===
pytorch-ignite
transformers
datasets
tqdm
tensorboardX
fire
clearml

=== examples/references/classification/imagenet/requirements.txt ===
albumentations
numpy
opencv-python-headless
fire
pytorch-ignite
tensorboard
torch
torchvision
tqdm
clearml
image-dataset-viz
py_config_runner>=0.2.0,<1.0.0

=== debian/changelog ===
pytorch-ignite (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Delete X-Python3-Version from control. (Closes: #1088138)
  * Add autopkgtest control file.

 -- Mo Zhou <lumin@debian.org>  Fri, 17 Jan 2025 22:16:17 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                python3-sklearn <!nocheck>,
                python3-skimage <!nocheck>,
                python3-torch
-X-Python3-Version: 3.11
 
 Package: python3-torch-ignite
 Architecture: all

=== debian/tests/control ===
Test-Command: python3 -c 'import ignite; print(ignite.__path__)'
Restrictions: allow-stderr
